Name:		manaplus
Version:	2.1.3.17
Release:	%mkrel 1
Summary:	A client for Evol Online and The Mana World: 2D MMORPG
Group:		Games/Other
License:	GPLv2+
Url:		http://manaplus.org
Source0:	http://download.evolonline.org/manaplus/download/%{version}/%{name}-%{version}.tar.xz
Source1:	http://download.evolonline.org/manaplus/download/%{version}/%{name}-%{version}.tar.xz.sig
Patch01:	manaplus-1.9.3.23-stdheaders-build-fix.patch

BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_gfx)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(gl)
BuildRequires:	gettext-devel

Provides:	manaworld-client = %{version}-%{release}

Recommends:	evol-client = %{version}-%{release}
Recommends:	mumble
Recommends:	xsel

%description
ManaPlus is extended client for Evol Online, The Mana World and similar
servers based on eAthena fork.
As a 2D style game, Evol Online aims to create a friendly environment where
people can escape reality and interact with others while enjoying themselves
through a fantasy style game.
The Mana World (TMW) is a serious effort to create an innovative free and
open source MMORPG. TMW uses 2D graphics and aims to create a large and
diverse interactive world.

%package -n evol-client
Summary:	Evol Online branding and theme in manaplus
BuildArch:	noarch

Provides:	evolonline-client = %{version}-%{release}
Requires:	manaplus = %{version}-%{release}

%description -n evol-client
This package is part of manaplus and gives branding information inside
ManaPlus for Evol Online server.

%prep
%setup -q
%autopatch -p1

%build
%configure --bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--disable-rpath
%make_build

%install
%make_install
%make_build DESTDIR=%{buildroot} -C data/evol branding

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING docs/*.txt NEWS README
%{_gamesbindir}/%{name}
%{_gamesbindir}/dyecmd
%exclude %{_gamesdatadir}/%{name}/data/evol
%{_gamesdatadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}test.desktop
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_mandir}/man6/%{name}*

%files -n evol-client
%{_datadir}/applications/evol.desktop
%{_datadir}/icons/evol-client.png
%{_gamesdatadir}/%{name}/data/evol


%changelog
* Sat Dec 03 2022 mrambo3501 <mrambo3501> 2.1.3.17-1.mga9
+ Revision: 1916210
- version 2.1.3.17
- add patch to alleviate stdheaders autobuild failure

* Fri Apr 01 2022 umeabot <umeabot> 1.9.3.23-3.mga9
+ Revision: 1839728
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.9.3.23-2.mga8
+ Revision: 1527666
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jul 21 2019 daviddavid <daviddavid> 1.9.3.23-1.mga8
+ Revision: 1423292
- new version: 1.9.3.23

* Wed Jan 30 2019 daviddavid <daviddavid> 1.8.12.8-1.mga7
+ Revision: 1361874
- new version: 1.8.12.8

* Wed Jan 30 2019 daviddavid <daviddavid> 1.6.11.5-4.mga7
+ Revision: 1361869
- add upstream patch to fix build
- add missing BR on pkgconfig(gl)

* Fri Dec 28 2018 luigiwalser <luigiwalser> 1.6.11.5-3.mga7
+ Revision: 1345725
- rebuild for SDL_gfx

* Sun Sep 23 2018 umeabot <umeabot> 1.6.11.5-2.mga7
+ Revision: 1299446
- Mageia 7 Mass Rebuild

* Sat Nov 12 2016 akien <akien> 1.6.11.5-1.mga6
+ Revision: 1066880
- Version 1.6.11.5

* Tue May 10 2016 akien <akien> 1.6.5.7-1.mga6
+ Revision: 1012311
- Version 1.6.5.7

* Mon Jan 25 2016 akien <akien> 1.6.1.16-1.mga6
+ Revision: 927561
- Version 1.6.1.16

* Wed Jan 13 2016 akien <akien> 1.6.1.2-1.mga6
+ Revision: 922421
- Version 1.6.1.2

* Thu Jul 09 2015 alien <alien> 1.5.7.4-3.mga6
+ Revision: 853127
- Update to new version 1.5.74

* Wed Oct 15 2014 umeabot <umeabot> 1.4.8.30-3.mga5
+ Revision: 749516
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.8.30-2.mga5
+ Revision: 682159
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Aug 30 2014 alien <alien> 1.4.8.30-1.mga5
+ Revision: 669506
- Update to version 1.4.8.30

* Sat Aug 16 2014 alien <alien> 1.4.8.16-1.mga5
+ Revision: 664487
- Update to version 1.4.8.16

* Fri Jul 11 2014 alien <alien> 1.4.7.5-1.mga5
+ Revision: 651354
- Update to new version 1.4.7.5

* Fri May 30 2014 alien <alien> 1.4.5.24-1.mga5
+ Revision: 628002
- Update to new version 1.4.5.24

* Fri Mar 21 2014 akien <akien> 1.4.3.15-1.mga5
+ Revision: 606373
- New version 1.4.3.15

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.3.10.12-3.mga5
+ Revision: 591734
- rebuild for SDL_gfx

* Tue Oct 22 2013 umeabot <umeabot> 1.3.10.12-2.mga4
+ Revision: 541521
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 alien <alien> 1.3.10.12-1.mga4
+ Revision: 496162
- Update to new version

* Sat Sep 28 2013 alien <alien> 1.3.9.29-1.mga4
+ Revision: 488520
- New version

* Sun Sep 15 2013 alien <alien> 1.3.9.15-1.mga4
+ Revision: 480095
- New version

* Sat Aug 31 2013 alien <alien> 1.3.9.1-1.mga4
+ Revision: 473767
- New version

* Sun Aug 18 2013 alien <alien> 1.3.8.18-1.mga4
+ Revision: 467380
- Update to new version

* Sun Aug 11 2013 alien <alien> 1.3.8.4-1.mga4
+ Revision: 465444
- Update for new version

* Sat Jul 20 2013 alien <alien> 1.3.7.21-1.mga4
+ Revision: 456627
- New version

* Sat Jun 22 2013 alien <alien> 1.3.6.23-1.mga4
+ Revision: 445784
- Update to new version

* Sun Jun 09 2013 alien <alien> 1.3.6.9-1.mga4
+ Revision: 441104
- Update to new version

* Mon Jun 03 2013 fwang <fwang> 1.3.5.26-2.mga4
+ Revision: 436009
- rebuild for new libpng

* Sat May 25 2013 alien <alien> 1.3.5.26-1.mga4
+ Revision: 427649
- Update to new version

* Sat Jan 12 2013 umeabot <umeabot> 1.2.12.9-3.mga3
+ Revision: 359405
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 1.2.12.9-2.mga3
+ Revision: 345446
- rebuild for new SDL_gfx

* Sun Dec 09 2012 alien <alien> 1.2.12.9-1.mga3
+ Revision: 329064
- Update to new version

* Tue Nov 27 2012 alien <alien> 1.2.11.25-1.mga3
+ Revision: 322408
- Update to new version

* Sun Nov 11 2012 alien <alien> 1.2.11.11-1.mga3
+ Revision: 316967
- Update to new version

* Sat Oct 27 2012 alien <alien> 1.2.10.28-1.mga3
+ Revision: 310882
- Update to new version

* Sun Oct 14 2012 alien <alien> 1.2.10.14-1.mga3
+ Revision: 305347
- Update to new version

* Sun Sep 30 2012 alien <alien> 1.2.9.30-1.mga3
+ Revision: 301025
- Update to new version

* Fri Sep 21 2012 alien <alien> 1.2.9.16-2.mga3
+ Revision: 296452
- Update to new tarball which contains extra crash fix

* Sat Sep 15 2012 alien <alien> 1.2.9.16-1.mga3
+ Revision: 294269
- Update to new version

* Sat Sep 01 2012 alien <alien> 1.2.9.2-1.mga3
+ Revision: 287057
- Update to new version

* Sat Jul 21 2012 alien <alien> 1.2.7.22-1.mga3
+ Revision: 273159
- Update to version 1.2.7.22

* Sun Jun 24 2012 alien <alien> 1.2.6.24-1.mga3
+ Revision: 263228
- Update to 1.2.6.24
- Remove all patches
- manaplustest isn't separate anymore

* Sun Apr 22 2012 alien <alien> 1.2.3.4-2.mga2
+ Revision: 232467
- Add all upstream bugfixes from mageia2 branch
- rename patches for easier git management

* Sun Mar 04 2012 alien <alien> 1.2.3.4-1.mga2
+ Revision: 218220
- Update to new version
- Apply post-release emergency patches
- make an evol-client branding subpackage

* Sun Feb 19 2012 alien <alien> 1.2.2.19-1.mga2
+ Revision: 210859
- Update to new version

* Sun Feb 05 2012 alien <alien> 1.2.2.5-1.mga2
+ Revision: 205057
- Update to new version 1.2.2.5
- Adapt to using new make dist-bzip2 tarball
- Make correct path

* Sat Jan 21 2012 alien <alien> 1.2.1.22-1.mga2
+ Revision: 199312
- Update to new version 1.2.1.22

* Sun Jan 08 2012 alien <alien> 1.2.1.8-1.mga2
+ Revision: 193343
- Update to new version 1.2.1.8
- Install manaplustest as well

* Mon Dec 26 2011 alien <alien> 1.1.12.25-1.mga2
+ Revision: 187667
- Update to new version

* Sun Dec 11 2011 alien <alien> 1.1.12.11-1.mga2
+ Revision: 180513
- Update to new version

* Sat Nov 26 2011 alien <alien> 1.1.11.27-1.mga2
+ Revision: 172458
- Update to new version
- add xsel support

* Sun Nov 13 2011 alien <alien> 1.1.11.12-1.mga2
+ Revision: 167086
- Update to new version

* Sun Oct 30 2011 alien <alien> 1.1.10.30-1.mga2
+ Revision: 159946
- Update to new version

* Sun Oct 16 2011 alien <alien> 1.1.10.16-1.mga2
+ Revision: 155597
- Update to 1.1.10.16
- Update to 1.1.10.16

* Sun Oct 02 2011 alien <alien> 1.1.10.2-1.mga2
+ Revision: 151051
- Update to new version

* Sun Sep 18 2011 alien <alien> 1.1.9.18-1.mga2
+ Revision: 145197
- New release 1.1.9.18
- Add .sig as extra source

* Mon Sep 05 2011 alien <alien> 1.1.9.4-2.mga2
+ Revision: 138927
- Rebuild for updated tarball with same version

* Sun Sep 04 2011 alien <alien> 1.1.9.4-1.mga2
+ Revision: 138469
- Update to version 1.1.9.4
- Update to version 1.1.8.21
- Add missing buildrequires
- Update to 1.1.8.7
- Update to version 1.1.7.24
- Remove guichan dependency
- Update to version 1.1.6.26

* Mon Jun 13 2011 alien <alien> 1.1.6.12-1.mga2
+ Revision: 105507
- Update to release 1.1.6.12

* Fri May 13 2011 alien <alien> 1.1.5.1-4.mga1
+ Revision: 97725
- Change displayed client version to mageia
- Add spanish help translation

* Sun May 08 2011 alien <alien> 1.1.5.1-3.mga1
+ Revision: 96497
- Fix chat tab size when hiding chat input (upstream patch)
- Improve algorithm for cleaning sdltext cache (fixes memleak; upstream patch)

* Thu May 05 2011 alien <alien> 1.1.5.1-2.mga1
+ Revision: 95209
- Fix monsters selection if monster is added to priority list (patch from upstream)

* Sun May 01 2011 alien <alien> 1.1.5.1-1.mga1
+ Revision: 94054
- Update to version 1.1.5.1
- Fixes crash on a broken map

* Sun Apr 17 2011 alien <alien> 1.1.4.17-1.mga1
+ Revision: 87336
- upgrade to 1.1.4.17

* Fri Apr 08 2011 alien <alien> 1.1.4.3-1.mga1
+ Revision: 82020
- Update to new version 1.1.4.3
- manaplus is now primarily for Evol Online, updating Summary and Description and add Provides
- suggests mumble

* Sat Feb 26 2011 alien <alien> 1.1.2.20-1.mga1
+ Revision: 61040
- Fix BuildRequires
- Fix configure part
- Remove unneeded mv files
- Remove BuildRoot
- use tmw spec file as basis
- imported package manaplus


* Sun Jan 31 2010 Jérôme Brenier <incubusss@mandriva.org> 0.0.29.1-3mdv2010.1
+ Revision: 498772
- add version and release for Provides

* Tue Jan 05 2010 Jérôme Brenier <incubusss@mandriva.org> 0.0.29.1-2mdv2010.1
+ Revision: 486410
- use _gamesbindir and _gamesdatadir
- Suggests: tmwmusic

* Tue Jan 05 2010 Jérôme Brenier <incubusss@mandriva.org> 0.0.29.1-1mdv2010.1
+ Revision: 486388
- add some provides on themanaworld and manaworld
- import tmw


